cURL
curl https://api.aiql.io/patterns/ptn_6e4c/instances \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
instances = client.patterns.instances.list("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const instances = await client.patterns.instances.list("ptn_6e4c");{
"data": [
{
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"confidence": 123,
"completeness": 123,
"status": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_document_ids": [
"<string>"
]
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
List Pattern Instances
GET
/
patterns
/
{id}
/
instances
cURL
curl https://api.aiql.io/patterns/ptn_6e4c/instances \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
instances = client.patterns.instances.list("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const instances = await client.patterns.instances.list("ptn_6e4c");{
"data": [
{
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"confidence": 123,
"completeness": 123,
"status": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_document_ids": [
"<string>"
]
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.